Subject: RE: "specs" related problems
From: [email-masked] (Bernard DAUTREVAUX)

24 Dec 1998 05:13:22 -0800
Message-ID: <[email-masked]>
Reply-To: "[email-masked]" <[email-masked]>
To: "'Serguei DACHIAN'" <[email-masked]>,
        "[email-masked]" <[email-masked]>

> -----Original Message-----
> From:	Serguei DACHIAN [SMTP:[email-masked]]
> Sent:	Wednesday, December 23, 1998 19:08
> To:	[email-masked]
> Subject:	"specs" related problems
>
> Hi everybody.
>
> I have three questions about the "specs" file.  Thanks in advance for any
> help.
>
>    I.)
> At 09:46 23/12/98 -0500, Larry Hall <lhall@rfk> wrote [in part]:
> >
> > Use CPLUS_INCLUDE_PATH for g++.
> >
> Ok.  Thanks a lot, Larry.  Now I have set BOTH!!! "C_INCLUDE_PATH" and
> "CPLUS_INCLUDE_PATH" environment variables to "/usr/local/include", and so
> both gcc and g++ find my include files from "/usr/local/include".  But the
> question is: can (and how) one do it via "specs" file???  (Just to avoid
> setting this additional environment variables.)  I have tried to play a bit
> with the "specs" file, but I can't figure it out.
>
>    II.)
> At 00:54 23/12/98 -0600, Mumit Khan <[email-masked]> wrote [in part]:
> >
> > You can pick up libstdc++.a and libiberty.a from:
> >    ftp://ftp.xraylith.wisc.edu/pub/khan/gnu-win32/cygb20/egcs-1.1/
> > look for mingw-libs.tar.gz. Put these in some directory and you can
> > use -L/path/to/mingw/libs
> >
> Ok.  Thanks a lot, Mumit.  Though, I have had to get more that just
> "mingw-libs.tar.gz", since I use, for example, math functions, and so I link
> with "-lm" and I need the "libm.a".  So, I downloaded the whole binary
> distribution of mingw, took all the "lib*.a" files from it, and put them in
> the directory "/usr/local/libmingw". Now compiling/linking with
> "-mno-cygwin -L/usr/local/libmingw"
> works fine for me.
> >
> > or modify specs to include this in the library search path whenever
> > mno-cygwin is specified.
> >
> Ok, this whould be surely a much better (even I'd say the best) solution,
> but HOW???  I have tried to play a bit with the "specs" file, but I can't
> figure it out.
>
>    III.)
> And finally a genreal guestion.  What is the general syntax, possible
> options, possible values, etc. for the "specs file???  Is this documented
> somewhere???
> I have searched in FAQ and in the UserGuide, but there is nothing:-((.

I think you have to browse through gcc.c source files (not the whole source 
tree for the compiler, just the source for the executive); I'm never seen any 
explanation anywhere esle, but please don't hesitate to say me I'm wrong!

As an example here is my modified specs file, that look in different files for 
libraries if you specify -mno-cygwin (and also add a -use-msvcrt flag and 
appropriate settings to use msvcrt.dll in spite of crtdll, but for that you'll 
need to recompile the libs with -mno-cygwin AND -use-crtdll)

Hope this helps,

			Bernard

>
>
> Once again, thanks in advance for any help; merry xmas and happy new year to
> everybody.
>
> Serguei.
> ___________________________________________________________________________
> Serguei DACHIAN
> Laboratoire de Statistique et Processus,
> Universite du Maine, Av. Olivier Messiaen
> 72085 Le Mans CEDEX 9, FRANCE
> Tel.   : +33 (0)2 43 83 37 18
> Fax.   : +33 (0)2 43 83 35 79
> E-mail : [email-masked]
> WWW    : http://www.univ-lemans.fr/sciences/statist/cvs/thesard.html#dachian
>
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".

------------------------------------------------------------------------------
Bernard Dautrevaux
Microprocess Ingéniérie
97 bis, rue de Colombes
92400 COURBEVOIE
FRANCE
Tel: +33 (0) 1 47 68 80 80
Fax: +33 (0) 1 47 88 97 85
e-mail: b. [email-masked]
------------------------------------------------------------------------------

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".